atmaxplorer.com
Install 6.31 Hen + Prometheus ISO loader on your PSP
PSP owners with 6.31 OFW can now have cfw installed courtesy of the 6.31 Hen, 6.31 hbl by wololo and the Prometheus ISO loader. Note that if you’re on 6.20 OFW, follow this guide instead. Requirements for 6.31 Hen and Prometheus ISOA PSP-3000, PSP-2000 with TA-v88v3 ...